Name:           openct
Version:        0.6.6
Release:        1%{?dist}
Summary:        Middleware framework for smart card terminals

Group:          System Environment/Libraries
License:        BSD
URL:            http://www.opensc.org/
Source0:        http://www.opensc.org/files/%{name}-%{version}.tar.gz
Source1:        %{name}.init
Source2:        %{name}.sysconfig
Source3:        %{name}-reader.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pcsc-lite-devel
BuildRequires:  libusb-devel
BuildRequires:  libtool-ltdl-devel
BuildRequires:  sed
Requires:       hotplug
Requires(post): /sbin/chkconfig
Requires(post): /sbin/ldconfig
Requires(preun): /sbin/chkconfig
Requires(postun): /sbin/ldconfig

%description
OpenCT implements drivers for several smart card readers.  It comes as
driver in ifdhandler format for PC/SC-Lite, as CT-API driver, or as a
small and lean middleware, so applications can use it with minimal
overhead.  OpenCT also has a primitive mechanism to export smart card
readers to remote machines via TCP/IP.

%package        devel
Summary:        OpenCT development files
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
%{summary}.

%package     -n pcsc-lite-%{name}
Summary:        OpenCT PC/SC Lite driver
Group:          System Environment/Daemons
Requires:       pcsc-lite >= 1.2.0
Provides:       pcsc-ifd-handler
Provides:       %{name}-pcsc-lite = %{version}-%{release}

%description -n pcsc-lite-%{name}
The OpenCT PC/SC Lite driver makes smart card readers supported by
OpenCT available for PC/SC Lite.


%prep
%setup -q
sed 's|__LIBDIR__|%{_libdir}|' < %{SOURCE3} > %{name}-reader.conf


%build
%configure \
  --disable-dependency-tracking \
  --with-bundle-dir=%{_libdir}/pcsc/drivers
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/hotplug/usb
make install DESTDIR=$RPM_BUILD_ROOT

ln -sf %{_libdir}/openct-ifd.so \
  $RPM_BUILD_ROOT%{_libdir}/pcsc/drivers/openct-ifd.bundle/Contents/*/

install -pm 644 etc/openct.conf $RPM_BUILD_ROOT%{_sysconfdir}/openct.conf
install -Dpm 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/openct
install -Dpm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/openct
install -Dpm 644 %{name}-reader.conf \
  $RPM_BUILD_ROOT%{_sysconfdir}/reader.conf.d/%{name}.conf

install -dm 755 $RPM_BUILD_ROOT%{_localstatedir}/run/openct
touch $RPM_BUILD_ROOT%{_localstatedir}/run/openct/status
chmod 644 $RPM_BUILD_ROOT%{_localstatedir}/run/openct/status

rm -f $RPM_BUILD_ROOT%{_libdir}/{*.la,{libopenctapi,openct-ifd}.a}


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
/sbin/chkconfig --add openct

%preun
if [ $1 -eq 0 ] ; then
  %{_initrddir}/openct stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del openct
fi

%postun
/sbin/ldconfig
if [ $1 -gt 0 ] ; then
  %{_initrddir}/openct try-restart >/dev/null || :
fi

%post -n pcsc-lite-%{name}
if [ $1 -eq 1 ] ; then
  %{_initrddir}/pcscd try-restart >/dev/null 2>&1 || :
fi

%postun -n pcsc-lite-%{name}
%{_initrddir}/pcscd try-restart >/dev/null 2>&1 || :


%files
%defattr(-,root,root,-)
%doc ANNOUNCE NEWS TODO doc/*.html doc/*.css
%config(noreplace) %{_sysconfdir}/openct.conf
%config(noreplace) %{_sysconfdir}/sysconfig/openct
%config %{_sysconfdir}/hotplug/usb/openct*
%config %{_initrddir}/openct
%{_bindir}/openct-tool
%{_sbindir}/ifdhandler
%{_sbindir}/ifdproxy
%{_sbindir}/openct-control
%{_libdir}/libopenct.so.*
%{_libdir}/libopenctapi.so
%dir %{_localstatedir}/run/openct/
%ghost %{_localstatedir}/run/openct/status
%{_mandir}/man1/openct-tool.1*

%files devel
%defattr(-,root,root,-)
%doc doc/api/*
%{_includedir}/openct/
%{_libdir}/pkgconfig/libopenct.pc
%{_libdir}/libopenct.a
%{_libdir}/libopenct.so

%files -n pcsc-lite-%{name}
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/reader.conf.d/%{name}.conf
%{_libdir}/openct-ifd.so
%{_libdir}/pcsc/drivers/openct-ifd.bundle/


%changelog
* Sun Sep 11 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.6.6-1
- 0.6.6.
- Improve description.

* Tue May 17 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.6.5-2
- 0.6.5.

* Wed May 11 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.6.5-0.2.rc2
- 0.6.5rc2, patches applied upstream.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.6.2-3
- rebuilt

* Tue Feb 22 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.2-2
- Comment out CardMan 3121 (CCID) in default config too, the "ccid" driver
  package works a lot better with it.

* Tue Feb  1 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.2-1
- Disable CardMan driver in default configs, too unreliable at the moment.

* Wed Nov  3 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.2-0.fdr.1
- Update to 0.6.2, eToken bundle patch applied upstream.
- Make scriptlet dependencies more granular.

* Tue Aug 17 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.1-0.fdr.2
- Split PC/SC Lite stuff into the pcsc-lite-openct subpackage, use symlinks
  to avoid packaging the same .so many times.
- Install reader.conf snippet for pcsc-lite.
- Patch to make eToken PRO hotplug work with PC/SC Lite.
- Exclude more unneeded files from docs and -devel.
- Disable dependency tracking to speed up the build.

* Thu Jul 22 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.1-0.fdr.1
- Update to 0.6.1 (preview).

* Thu Jul  1 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.0-0.fdr.0.1.alpha
- Update to 0.6.0-alpha.

* Fri Apr 16 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5.0-0.fdr.6
- Init script improvements.

* Wed Feb  4 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5.0-0.fdr.5
- Autostart service in runlevels 2-5.

* Thu Jan 29 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5.0-0.fdr.4
- More init script fine tuning.

* Mon Jan 12 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5.0-0.fdr.3
- Init script improvements.

* Mon Dec 29 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5.0-0.fdr.2
- Include init script and a sysconfig file.
- Improve summary and description.

* Mon Nov 24 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5.0-0.fdr.1
- Update to 0.5.0.

* Fri Nov 14 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.1.0-0.fdr.2
- Create /var/run/openct/status to avoid OpenSC errors.

* Tue Aug 19 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.1.0-0.fdr.1
- First build.
